using FishFactoryContracts.Attributes;
using FishFactoryDataModels.Enums;
using FishFactoryDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FishFactoryContracts.ViewModels
{
    public class OrderViewModel : IOrderModel
    {
		[Column(title: "Номер", width: 50)]
		public int Id { get; set; }
		[Column(visible: false)]
		public int ClientId { get; set; }
		[Column(visible: false)]
		public int? ImplementerId { get; set; }
		[Column(title: "Клиент", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
		public string ClientFIO { get; set; } = string.Empty;
		[Column(visible: false)]
		public int CannedId { get; set; }
		[Column(title: "Консерва", width: 100)]
		public string CannedName { get; set; } = string.Empty;
		[Column(title: "Исполнитель", width: 130)]
		public string ImplementerFIO { get; set; } = string.Empty;
		[Column(title: "Количество", width: 100)]
		public int Count { get; set; }
		[Column(title: "Сумма", width: 50)]
		public double Sum { get; set; }
		[Column(title: "Статус", width: 50)]
		public OrderStatus Status { get; set; } = OrderStatus.Неизвестен;
		[Column(title: "Дата создания", width: 100)]
		public DateTime DateCreate { get; set; } = DateTime.Now;
		[Column(title: "Дата выполнения", width: 100)]
		public DateTime? DateImplement { get; set; }
    }
}
